package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrPipe;

/**
 * 管道Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrPipeMapper
{
    /**
     * 查询管道
     *
     * @param id 管道ID
     * @return 管道
     */
    public TPssrPipe selectTPssrPipeById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询管道列表
     *
     * @param tPssrPipe 管道
     * @return 管道集合
     */
    
    public List<TPssrPipe> selectTPssrPipeList(TPssrPipe tPssrPipe);

    /**
     * 新增管道
     *
     * @param tPssrPipe 管道
     * @return 结果
     */
    public int insertTPssrPipe(TPssrPipe tPssrPipe);

    /**
     * 修改管道
     *
     * @param tPssrPipe 管道
     * @return 结果
     */
    public int updateTPssrPipe(TPssrPipe tPssrPipe);

    /**
     * 删除管道
     *
     * @param id 管道ID
     * @return 结果
     */
    public int deleteTPssrPipeById(Long id);

    /**
     * 批量删除管道
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrPipeByIds(Long[] ids);

    void deleteTPssrPipeBySubId(Long subId);

    int updateTPssrPipeByIds(TPssrPipe tPssrPipe);

    int updateAllBySubId(TPssrPipe pipe);

    TPssrPipe selectAllConfirmedPersonBySubId(TPssrPipe entity);
}
